Bug 3957 - gdm does not support pam_putenv()
Summary: gdm does not support pam_putenv()
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL: http://www.engin.umich.edu/caen/syste...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-09 04:38 UTC by wingc
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-13 17:59:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wingc 1999-07-09 04:38:59 UTC
The PAM support in 'gdm' does not support pam_putenv(). Some
PAM modules expect to be able to set environment variables
in the child process. A prime example is Kerberos PAM
modules, which want to set the KRBTKFILE environment
variables both for security reasons and to allow a single
user to have multiple 'Kerberos sessions' each with
different ticket files.

Here is a patch that enables this functionality. I have
already sent it to the author of gdm, Martin Kasper Petersen
<mkp@SunSITE.auc.dk>; however, if it does not become part of
the main gdm source in time, please apply it or something
like it to the next version of Red Hat:

http://www.engin.umich.edu/caen/systems/Linux/code/patches/gdm-1.0.0-morepam.patch

Thank you very much,

Chris Wing
wingc@engin.umich.edu

Comment 1 wingc 1999-07-13 05:08:59 UTC
I've since heard back from the author of gdm. This is fixed in gdm
2.0, which hasn't been formally released yet but will be soon.

If you don't upgrade to 2.0 by the next release of Red Hat, you should
do something similar to my patch. The author told me he is no longer
maintaining gdm 1.0.

Comment 2 Cristian Gafton 1999-07-29 02:08:59 UTC
Assigned to msf. Dr. Mike, are we going to use the new gdm in the next
release?

If not, we should use this patch.

Comment 3 Elliot Lee 1999-09-01 00:53:59 UTC
Assign to mkj for now, since he is currently taking care of the gdm
situation.

Comment 4 Elliot Lee 1999-09-13 17:59:59 UTC
gdm 2.0beta2, currently in the lorax beta release, does support this.


Note You need to log in before you can comment on or make changes to this bug.